gsl_vector_dispatch.hh File Reference

Go to the source code of this file.

## Macros

#define | GSL_VECTOR_DISPATCH(TYPE)

## Macro Definition Documentation

## GSL_VECTOR_DISPATCH

#define GSL_VECTOR_DISPATCH | ( |  | TYPE | ) |

Value:
template <> \
struct gsl_vector_dispatch<TYPE> { \
typedef TYPE value_type; \
typedef TYPE *iterator; \
typedef const TYPE *const_iterator; \
typedef size_t size_type; \
typedef TYPE& reference; \
typedef const TYPE& const_reference; \
\
typedef gsl_value_type gsl_vector_##TYPE \
protected: \
static gsl_value_type *alloc(size_t n) { \
return gsl_vector_##TYPE##_alloc(n); \
} \
static gsl_value_type *calloc(size_t n) { \
return gsl_vector_##TYPE##_calloc(n); \
} \
static gsl_vector_type *alloc_from(gsl_vector_type *other) { \
return gsl_vector_#TYPE#_alloc_from_vector(other, 0, \
other->size, 1); \
} \
static void free(gsl_value_type *v) { \
gsl_vector_##TYPE##_free(v); \
} \
static value_type get(gsl_vector_type *v, size_t i) { \
gsl_vector_##TYPE##_get(v,i); \
} \
};
const_iterator

Definition at line 21 of file gsl_vector_dispatch.hh.